2017-11-20 21:59 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000322Cheat Enginepublic2014-02-24 15:34
ReporterJou 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000322: speedhack_setSpeed(1/240) speedhack_setSpeed(0.004166666666666666) interpreted as speedhack_setSpeed(0.00)
DescriptionJust as the summary:
LUA speedhack_setSpeed(1/240) or speedhack_setSpeed(0.004166666666666666)
are interpreted as speedhack_setSpeed(0.00), clearly visible by the program stopping.
Minor problem of the bug reporting from: I cannot select a category?
TagsSpeedHack, Virtual families 2
Attached Files

-Relationships
+Relationships

-Notes

~0000667

Jou (reporter)

PS: Fixing this and pushing a release (or a compile a binary for me), 30$ OK or more?

~0000668

Jou (reporter)

PPS:
my current ugly workaround which requires me to stay on the hotkey:

function checkKeys(timer)
  if (isKeyPressed(VK_J)) then
    openProcess( "demo.exe" )
    speedhack_setSpeed(1)
  end
  if (isKeyPressed(VK_K)) then
    openProcess( "demo.exe" )
    speedhack_setSpeed(0.05)
    sleep(83)
-- = 0.00416
-- sleep(100)
-- = 0.00500
-- sleep(333)
-- = 0,01665
    speedhack_setSpeed(0.00)
  end
end

t=createTimer(nil)
timer_setInterval(t,1000)
timer_onTimer(t, checkKeys)
timer_setEnabled(t, true)

If you know a better LUA implementation just say ;)

~0000669

Dark Byte (developer)

fixed in the svn.
You'll have to wait a bit for a binary though, or compile it yourself
+Notes

-Issue History
Date Modified Username Field Change
2014-02-23 16:18 Jou New Issue
2014-02-23 16:20 Jou Note Added: 0000667
2014-02-23 17:15 Jou Note Added: 0000668
2014-02-24 15:34 Dark Byte Note Added: 0000669
2014-02-24 15:34 Dark Byte Status new => resolved
2014-02-24 15:34 Dark Byte Resolution open => fixed
2014-02-24 15:34 Dark Byte Assigned To => Dark Byte
2014-09-01 20:43 ShilahFaith_234 Tag Attached: SpeedHack
2014-09-01 20:43 ShilahFaith_234 Tag Attached: Virtual families 2
+Issue History